Bug 564571 - compiz-kde needs patching for KDE 4.4
compiz-kde needs patching for KDE 4.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-4.4
  Show dependency treegraph
 
Reported: 2010-02-13 07:52 EST by leigh scott
Modified: 2010-02-13 13:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-13 13:38:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2010-02-13 07:52:14 EST
Description of problem: compiz-0.8.2 won't build against the new KDE API

Additional info:

Here's a link to a patch for 0.8.4, 

http://bugs.opencompositing.org/show_bug.cgi?id=1249

http://gitweb.compiz.org/?p=compiz/core;a=shortlog;h=refs/heads/compiz-0.8
Comment 1 Kevin Kofler 2010-02-13 08:28:07 EST
This needs: http://gitweb.compiz.org/?p=compiz/core;a=commitdiff;h=ef1a3e64d35d7a0f222de79006e17ff6609ce2c7

But compiz-kde at this point basically doesn't work at all as it doesn't even support KDE 4.3 properly. At least it doesn't work with any windeco which uses the new features in 4.3, such as the default Oxygen/Ozone. See bug 519299. There's another (bigger) patch to apply to fix that.
Comment 2 Kevin Kofler 2010-02-13 08:51:55 EST
I'm working on backporting this commit to the old compiz versions in F11 and F12.
Comment 3 Kevin Kofler 2010-02-13 09:48:31 EST
Tentative backports of this and the fix for the KDE 4.3+ Oxygen/Ozone breakage (see bug 519299) at http://repo.calcforge.org/temp/compiz-kde/
Comment 4 Kevin Kofler 2010-02-13 13:38:57 EST
Fixed for Rawhide in compiz-0.8.4-4.fc13.
Fixed for the upcoming F12 KDE 4.4.0 update in compiz-0.8.2-24.fc12.
Fixed for the upcoming F11 KDE 4.4.0 update in compiz-0.7.8-20.fc11.
Current stable releases not affected, closing.

Note You need to log in before you can comment on or make changes to this bug.